#include <stdio.h>

int main()
{
    // Deklaration der Variablen
    int hist[26] = {};
    int i, k, c, count;
    int num = 0;
    
    // Zeichen bis EOF einlesen (nur a-z werden berücksichtigt)
    // EOF wird im Terminal mit CTRL-D eingegeben!
    while ((c = getchar()) != EOF) {
        if ((c>96) && (c<123)) {
            // Zähler für diesen Buchstaben erhöhen
            hist[c-97]++;
            num++;
        }
    }
    
    // Histogramm ausgeben    
    printf("\n");
    for (i=0; i<26; i++) {
        count = hist[i];
        if (count > 0) {
            printf("%c : %f\n",i+97, (count/(float)num)*100);
        }
    }
    
    return 0;
}